Page MenuHomePhabricator

Keeping up with the queue
Closed, InvalidPublic

Description

There are three issues:

  1. We are not generating enough actionable suggestions because the ones that skipped end up building up. This needs a manual clearing, or maybe an automatic 'remove from queue after [3] views'. The other option is to add an option to [remove suggestion] if it's clearly not a fit (T166308: Provide a way to reject links (instead of skip)).
  1. Editors are getting no edit was made errors because, i think, that link has already been changed by the time they add it (T178979: OABot error: 'No edit was made' (timeout or edit conflict?)). This is a queuing problem that should be impossible so long as one person has a link open they should own it and no one else can make that change.
  1. Generating new (good) suggestions has to happen faster than good links are added, or else we go down the quality spiral.

Event Timeline

Ocaasi_WMF triaged this task as High priority.Oct 25 2017, 7:30 PM
Ocaasi_WMF created this task.
Ocaasi_WMF closed this task as Resolved.Nov 13 2017, 9:52 AM
Nemo_bis changed the task status from Resolved to Invalid.Apr 21 2018, 10:03 AM
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.

This report is a collection of issues and it was closed despite having a subtask which was open (until today). Better discard this and continue dealing with specific issues in specific tasks.